Page MenuHomePhabricator

Resizable Draggable Explorer Dialog
Closed, ResolvedPublic

Description

Make the explorer dialog resizable and draggable dialog using this plugin.

Event Timeline

prssanna created this task.May 14 2018, 7:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2018, 7:59 AM

The resizability feature is a little slow because the height of the dialog body is set to 100%. It works perfectly with a fixed height, but the body size needs to be dynamic. Any suggestions for an alternative to this?

The resizability feature is a little slow because the height of the dialog body is set to 100%. It works perfectly with a fixed height, but the body size needs to be dynamic. Any suggestions for an alternative to this?

I think hiding the content while resizing/moving would help. Is this possible?

When I resize the dialog
some text in the table is selected:

We should have an icon, so a user can see where to resize.

Yes, that works. Thanks!

Jonas triaged this task as Low priority.May 16 2018, 12:17 PM
Jonas moved this task from Backlog to Doing on the Wikidata Query UI board.
Jonas moved this task from Doing to Done on the Wikidata Query UI board.Jun 5 2018, 6:17 PM

@Lea_Lacroix_WMDE please announce the changes and put it in the weekly summary.
It will be deployed on Monday evening.

Vvjjkkii renamed this task from Resizable Draggable Explorer Dialog to 30caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii removed prssanna as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 30caaaaaaa to Resizable Draggable Explorer Dialog.Jul 2 2018, 4:44 AM
CommunityTechBot assigned this task to prssanna.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Jonas closed this task as Resolved.Jul 5 2018, 10:53 AM